summaryrefslogtreecommitdiffstats
path: root/fuel-build/docker/runcontext
diff options
context:
space:
mode:
authorJonas Bjurel <jonas.bjurel@ericsson.com>2015-01-30 22:22:43 +0100
committerJonas Bjurel <jonas.bjurel@ericsson.com>2015-02-05 19:39:31 +0100
commitd29df40fd66d6a90fde858e8a0bc0d0e98a01794 (patch)
tree17e48a2b5978b21c5a44ac0234626e8bb39c0af3 /fuel-build/docker/runcontext
parent09247c2eca21891be5b04eda08a23d4a866a3b84 (diff)
Version 0.0.1 of /fuel-bild
This is a build system that rebases the result from fuel.org such that you can add or change packages/puppet manifests any way you like, and reliably produce a installable which can be reproduced any time. See README for more information. Signed-off-by: Jonas Bjurel <jonas.bjurel@ericsson.com>
Diffstat (limited to 'fuel-build/docker/runcontext')
-rwxr-xr-xfuel-build/docker/runcontext30
1 files changed, 30 insertions, 0 deletions
diff --git a/fuel-build/docker/runcontext b/fuel-build/docker/runcontext
new file mode 100755
index 0000000..45a7645
--- /dev/null
+++ b/fuel-build/docker/runcontext
@@ -0,0 +1,30 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+# stefan.k.berg@ericsson.com
+# jonas.bjurel@ericsson.com
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#
+context=$1
+shift
+GID=`id -g`
+USER=`whoami`
+res=`docker build -q --rm - <<EOF
+FROM $context
+RUN echo "invalidate cache" && echo "done"
+RUN /usr/sbin/groupadd --gid $GID $USER
+RUN /usr/sbin/adduser --system --uid=$UID --gid=$GID --home $HOME --shell /bin/bash $USER
+RUN /usr/sbin/usermod -a -G fuse $USER
+RUN echo "export HOME=$HOME" >> /etc/bash.bashrc
+RUN echo "$@" >> /etc/bash.bashrc
+RUN echo 'exit \\$?' >> /etc/bash.bashrc
+EOF`
+CID=`echo $res | sed 's/.* //'`
+docker run --privileged=true --rm -i -t -u $USER -w $PWD -v ${HOME}/.ssh:${HOME}/.ssh -v $PWD:$PWD $CID bash
+rc=$?
+docker rmi $CID > /dev/null
+exit $rc